//
// Copyright (c) 2013  Motoyuki Kasahara
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
package jp.sourceforge.gamerandomizer;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.CheckBox;
import android.widget.ListView;
import android.widget.TextView;

public class ExpansionListAdapter extends ArrayAdapter<ExpansionListItem> {
	public ExpansionListAdapter(Context context) {
		super(context, 0);
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		View view;

		if (convertView == null) {
			LayoutInflater inflater = LayoutInflater.from(getContext());
			view = inflater.inflate(R.layout.expansion_list, parent, false);
		} else {
			view = convertView;
		}

		CheckBox expansionCheckBox =
				(CheckBox)view.findViewById(R.id.expansionCheckBox);
		ExpansionListItem item = getItem(position);
		expansionCheckBox.setText(item.getTitle());

		ListView listView = (ListView)parent;
		expansionCheckBox.setChecked(listView.isItemChecked(position));
		expansionCheckBox.setVisibility(View.VISIBLE);

		TextView nCardsTextView =
				(TextView)view.findViewById(R.id.nCardsTextView);
		nCardsTextView.setText("" + item.getNCards());

		return view;
	}
}
