//
// Copyright (c) 2013  Motoyuki Kasahara
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
package jp.sourceforge.gamerandomizerlib;

/**
 * <p>
 * Exception class for GameBuilder.
 * </p>
 *
 * @author   Motoyuki Kasahara
 * @version  1.0
 */
public abstract class GameBuilderException extends Exception {
	/**
	 * Constructs an object.
	 */
	public GameBuilderException() {
		super();
	}

	/**
	 * Constructs an object with the specified message.
	 *
	 * @param  message  a message
	 */
	public GameBuilderException(String message) {
		super(message);
	}

	/**
	 * Constructs an object with the specified message and cause.
	 *
	 * @param  message  a message
	 * @param  cause  cause
	 */
	public GameBuilderException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Constructs an object with the specified cause.
	 *
	 * @param  cause  cause
	 */
	public GameBuilderException(Throwable cause) {
		super(cause);
	}
}
